net.sourceforge.pmd.lang.xml.ast

## Class XmlParser

- java.lang.Object
- - net.sourceforge.pmd.lang.xml.ast.XmlParser

-     public class XmlParser
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `XmlParser.XmlNodeInvocationHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Node,XmlNode>` | `nodeCache`
    `protected XmlParserOptions` | `parserOptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlParser(XmlParserOptions parserOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllInterfaces(Set<Class<?>> interfaces, Class<?> clazz)`
    `XmlNode` | `createProxy(Node node)`
    `XmlNode` | `parse(Reader reader)`
    `protected Document` | `parseDocument(Reader reader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parserOptions

          protected final XmlParserOptions parserOptions

    - #### nodeCache

          protected Map<Node,XmlNode> nodeCache

  - ### Constructor Detail

    - #### XmlParser

          public XmlParser(XmlParserOptions parserOptions)

  - ### Method Detail

    - #### parseDocument

          protected Document parseDocument(Reader reader)
                                    throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public XmlNode parse(Reader reader)

    - #### createProxy

          public XmlNode createProxy(Node node)

    - #### addAllInterfaces

          public void addAllInterfaces(Set<Class<?>> interfaces,
                              Class<?> clazz)

Copyright © 2002-2013 InfoEther. All Rights Reserved.